<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Veclietas</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="apple-touch-icon" sizes="180x180" href="/assets/apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="/assets/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="/assets/favicon-16x16.png">
    <link rel="manifest" href="/assets/site.webmanifest">
    <link rel="stylesheet" type="text/css" href="/css/global.css">
    <link rel="stylesheet" type="text/css" href="/css/index.css">
    <link rel="stylesheet" type="text/css" href="/css/tags.css">
    <link rel="stylesheet" type="text/css" href="/css/item.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <script src="/js/search.js" defer></script>
    <script src="/js/admin.js" defer></script>
    <script src="/js/toggle_nav.js" defer></script>
    <script src="/js/cart.js" defer></script>
    <script src="/js/scroll.js" defer></script>
  </head>
  <body>
    <%- include("includes/nav.ejs", {session}); %>

    <main>
      <% if(session != undefined) { %>
        <% if(Object.hasOwn(session, "logged_in")) { %>
          <h2>Hello, <%= session.username %></h2>
        <% } %>
      <% } %>
      <h2 align="center"><%= title %></h2>


      <div class="items">
        <% if(items.length <= 0) { %>
          <h1 id="no_items">No items found!</h1>
        <% } %>
        <% items.forEach(item => { %>
        <%- include("includes/item.ejs", {
          id: item.id,
          title: item.title,
          tags: (item.tags == (null || undefined) ? [] : item.tags),
          price: item.price,
          amount: item.amount,
          src: item.image[item.thumbnail_id]
        }) %>
        <% }); %>
        </div>
    </main>
  </body>
</html>
